Subject: [bug#41350] [PATCH v2 3/3] system: vm: Build vm-image using native qemu, for the Hurd.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Sat, 23 May 2020 21:07:05 +0200

Mathieu Othacehe writes:

> Hello Jan,
>
>> Mathieu, if it turns out that you are dropping qemu-image next week
>> altogether then great!, and I have no problem whatsoever dropping this
>> patch set as well.
>>
>> For now, I have reset wip-hurd-vm and put your commits towards the
>> bottom of the wip-hurd-vm stack too.
>
> I just pushed a few commits to your branch. I'm now able to run:
>
> guix system disk-image --target=i586-pc-gnu  gnu/system/examples/bare-hurd.tmpl
>
> no VM inside.

Whoa, that's 10 commits -- great!  I do need to use --no-grafts, if I
don't I get

    guix system: error: gnu/packages/glib.scm:406:2: [email-masked]: build system `meson' does not support cross builds

Do you see that too?

> We now have to backport some of your work to (gnu system image), but

Just build and started it -- beautiful.  I'll have a stab later
tomorrow, unless someone beats me to it ;)

> the good news is that closure registration is now working, and the Hurd
> boots.

very nice, that's already one ahead!

> I'll have a look :)

Thanks :-)

Greetings,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com